Subject: [PATCH 07/19] ARM: ux500: Add all encompassing sound node to the HREF Device Tree

From: [email-masked] (Lee Jones)
Date: Fri, 14 Sep 2012 10:20:33 +0100

On Mon, Sep 10, 2012 at 02:56:20AM -0700, Linus Walleij wrote:
> On Fri, Sep 7, 2012 at 1:14 PM, Lee Jones <[email-masked]> wrote:
> 
> > This is where we link together all of the SoC sound components for
> > a given platform. This all encompassing sound node is only found
> > in the very lowest hierarchical DTS file, since the component mix may
> > well change from board variant to board variant.
> >
> > Signed-off-by: Lee Jones <[email-masked]>
> > ---
> >  arch/arm/boot/dts/hrefv60plus.dts |    7 +++++++
> >  1 file changed, 7 insertions(+)
> >
> > diff --git a/arch/arm/boot/dts/hrefv60plus.dts b/arch/arm/boot/dts/hrefv60plus.dts
> > index 4f0aee8..d8ed29e 100644
> > --- a/arch/arm/boot/dts/hrefv60plus.dts
> > +++ b/arch/arm/boot/dts/hrefv60plus.dts
> > @@ -78,6 +78,13 @@
> >                         status = "okay";
> >                 };
> >
> > +               sound {
> > +                       compatible = "stericsson,snd-soc-mop500";
> > +
> > +                       stericsson,cpu-dai = <&msp1 &msp3>;
> > +                       stericsson,audio-codec = <&codec>;
> 
> Where is this codec coming from?
> 
> It's certainly not in the linux-next tree...

No, I'm holding it locally.

My Audio patch-set is still awaiting Ola's Acks (6 patches)

... unless they're further down my mailbox.

/me keeps reading.

> This is another of these patches that I prefer if Ola
> or Roger or even Mark could comment on, I really don't know
> too much about ASoC DT bindings...

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog